<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$school_setup_menu=true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
$school_id = $_SESSION['school_id'];

//get next student id from school id
function teacher_id($school_id){
    include 'config.php';
    $stmt = $conn->PREPARE("SELECT `teacher_id` FROM `teachers` WHERE `school_id` = ?");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==0){
        $teacher_id_pre = 1001;
    }else{
        while($row=$result->fetch_assoc()){
            $teacher_idt1 = $row['teacher_id'];
            $teacher_idt =substr($teacher_idt1,-4); 
        }
        $teacher_id_pre = $teacher_idt + 1;
    }
    $teacher_id = "S".$school_id."/T/".$teacher_id_pre;
    return $teacher_id;
}

//fetch school record from schools table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add a Teacher - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/flatpickr-airbnb.css"
              rel="stylesheet">
        
        <link type="text/css" href="public/vendor/select2/select2.min.css" rel="stylesheet">
        <link type="text/css" href="public/css/select2.css" rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item active">
                                                School Admin
                                            </li>
                                            <li class="breadcrumb-item active">
                                                Add Teacher
                                            </li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="container page__container page-section">
                            <div class="row mb-32pt">
                                <div class="col-lg-4">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Details</div>
                                    </div>
                                    <p class="card-subtitle text-70 mb-16pt mb-lg-0">
                                    Please provide the following details about the teacher    
                                    </p>
                                </div>
                                <div class="col-lg-8 d-flex align-items-center">
                                    <div class="flex" style="max-width: 100%">
                                        <form method="post" action="">
                                            <div class="form-group">
                                                <label class="form-label" for="firstname">First Name</label>
                                                <input name="firstname"  type="text" class="form-control" id="firstname" placeholder="Enter teacher's first name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="lastname">Last Name</label>
                                                <input name="lastname"  type="text" class="form-control" id="lastname" placeholder="Enter teacher's last name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="middlename">Middle Name</label>
                                                <input name="middlename"  type="text" class="form-control" id="middlename" placeholder="Enter teacher's middle name ...">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="gender-select">Gender</label>
                                                <select name="gender" id="gender-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select teacher's gender</option>
                                                    <option value="Male">Male</option>
                                                    <option value="Female">Female</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label">Date of Birth</label>
                                                <input name="dob" type="hidden" class="form-control flatpickr-input" data-toggle="flatpickr" value="2000-01-01" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="religion-select">Religion</label>
                                                <select name="religion" id="gender-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select teacher's religion</option>
                                                    <option value="Christianity">Christianity</option>
                                                    <option value="Islam">Islam</option>
                                                    <option value="Others">Others</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="address">Address</label>
                                                <input name="address"  type="text" class="form-control" id="address" placeholder="Enter teacher's residential address ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label mb-3" for="class-select">Select Teacher's Class(es) - Select options that applies</label><br>
                                                
                                                <div class="form-row">
                                                <div class="col-12 col-md-4">
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck01" type="checkbox" value="playgroup" class="custom-control-input">
                                                    <label for="customCheck01" class="custom-control-label">Playgroup</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck02" type="checkbox" value="kindergarten 1" class="custom-control-input">
                                                    <label for="customCheck02" class="custom-control-label">Kindergarten 1 - KG1</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck03" type="checkbox" value="kindergarten 2" class="custom-control-input">
                                                    <label for="customCheck03" class="custom-control-label">Kindergarten 2</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck04" type="checkbox" value="nursery 1" class="custom-control-input">
                                                    <label for="customCheck04" class="custom-control-label">Nursery 1</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck05" type="checkbox" value="nursery 2" class="custom-control-input">
                                                    <label for="customCheck05" class="custom-control-label">Nursery 2</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck06" type="checkbox" value="nursery 3" class="custom-control-input">
                                                    <label for="customCheck06" class="custom-control-label">Nursery 3</label>
                                                </div>
                                                </div>
                                                
                                                <div class="col-12 col-md-4">
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck07" type="checkbox" value="primary 1" class="custom-control-input">
                                                    <label for="customCheck07" class="custom-control-label">Primary 1</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck08" type="checkbox" value="primary 2" class="custom-control-input">
                                                    <label for="customCheck08" class="custom-control-label">Primary 2</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck09" type="checkbox" value="primary 3" class="custom-control-input">
                                                    <label for="customCheck09" class="custom-control-label">primary 3</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck10" type="checkbox" value="primary 4" class="custom-control-input">
                                                    <label for="customCheck10" class="custom-control-label">Primary 4</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck11" type="checkbox" value="primary 5" class="custom-control-input">
                                                    <label for="customCheck11" class="custom-control-label">Primary 5</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck12" type="checkbox" value="primary 6" class="custom-control-input">
                                                    <label for="customCheck12" class="custom-control-label">Primary 6</label>
                                                </div>
                                                </div>
                                                
                                                <div class="col-12 col-md-4">
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck13" type="checkbox" value="jss 1" class="custom-control-input">
                                                    <label for="customCheck13" class="custom-control-label">JSS 1</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck14" type="checkbox" value="jss 2" class="custom-control-input">
                                                    <label for="customCheck14" class="custom-control-label">JSS 2</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck15" type="checkbox" value="jss 3" class="custom-control-input">
                                                    <label for="customCheck15" class="custom-control-label">JSS 3</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck16" type="checkbox" value="sss 1" class="custom-control-input">
                                                    <label for="customCheck16" class="custom-control-label">SSS 1</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck17" type="checkbox" value="sss 2" class="custom-control-input">
                                                    <label for="customCheck17" class="custom-control-label">SSS 2</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="class[]" id="customCheck18" type="checkbox" value="sss 3" class="custom-control-input">
                                                    <label for="customCheck18" class="custom-control-label">SSS 3</label>
                                                </div>
                                                </div>
                                                </div>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="class-select">Select Teacher's Subject(s)</label><br>
                                                
                                                <div class="form-row">
                                                <div class="col-12 col-md-6">
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck01" type="checkbox" value="agricultural science" class="custom-control-input">
                                                    <label for="subjectCheck01" class="custom-control-label">Agricultural Science</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck02" type="checkbox" value="arabic language" class="custom-control-input">
                                                    <label for="subjectCheck02" class="custom-control-label">Arabic Science</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck03" type="checkbox" value="basic science" class="custom-control-input">
                                                    <label for="subjectCheck03" class="custom-control-label">Basic Science</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck04" type="checkbox" value="basic technology" class="custom-control-input">
                                                    <label for="subjectCheck04" class="custom-control-label">Basic Technology</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck05" type="checkbox" value="basic science and technology" class="custom-control-input">
                                                    <label for="subjectCheck05" class="custom-control-label">Basic Science and Technology</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck06" type="checkbox" value="biology" class="custom-control-input">
                                                    <label for="subjectCheck06" class="custom-control-label">Biology</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck07" type="checkbox" value="book keeping" class="custom-control-input">
                                                    <label for="subjectCheck07" class="custom-control-label">Book Keeping</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck08" type="checkbox" value="business studies" class="custom-control-input">
                                                    <label for="subjectCheck08" class="custom-control-label">Business Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck48" type="checkbox" value="chemistry" class="custom-control-input">
                                                    <label for="subjectCheck48" class="custom-control-label">Chemistry</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck09" type="checkbox" value="christian religious studies" class="custom-control-input">
                                                    <label for="subjectCheck09" class="custom-control-label">Christian Religious Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck10" type="checkbox" value="cultural and creative arts" class="custom-control-input">
                                                    <label for="subjectCheck10" class="custom-control-label">Cultural and Creative Arts</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck11" type="checkbox" value="civic education" class="custom-control-input">
                                                    <label for="subjectCheck11" class="custom-control-label">Civic Education</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck12" type="checkbox" value="commerce" class="custom-control-input">
                                                    <label for="subjectCheck12" class="custom-control-label">Commerce</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck13" type="checkbox" value="computer studies" class="custom-control-input">
                                                    <label for="subjectCheck13" class="custom-control-label">Computer Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck14" type="checkbox" value="data processing" class="custom-control-input">
                                                    <label for="subjectCheck14" class="custom-control-label">Data Processing</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck15" type="checkbox" value="economics" class="custom-control-input">
                                                    <label for="subjectCheck15" class="custom-control-label">Economics</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck16" type="checkbox" value="english language" class="custom-control-input">
                                                    <label for="subjectCheck16" class="custom-control-label">English Language</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck17" type="checkbox" value="financial accounting" class="custom-control-input">
                                                    <label for="subjectCheck17" class="custom-control-label">Financial Accounting</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck18" type="checkbox" value="fine arts/creative arts" class="custom-control-input">
                                                    <label for="subjectCheck18" class="custom-control-label">Fine Arts/Creative Arts</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck19" type="checkbox" value="food and nutrition" class="custom-control-input">
                                                    <label for="subjectCheck19" class="custom-control-label">Food and Nutrition</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck20" type="checkbox" value="french" class="custom-control-input">
                                                    <label for="subjectCheck20" class="custom-control-label">French</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck21" type="checkbox" value="further mathematics" class="custom-control-input">
                                                    <label for="subjectCheck21" class="custom-control-label">Further Mathematics</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck22" type="checkbox" value="geography" class="custom-control-input">
                                                    <label for="subjectCheck22" class="custom-control-label">Geography</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck23" type="checkbox" value="government" class="custom-control-input">
                                                    <label for="subjectCheck23" class="custom-control-label">Government</label>
                                                </div>
                                                </div>
                                                
                                                <div class="col-12 col-md-6 mb-3">
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck24" type="checkbox" value="hausa language" class="custom-control-input">
                                                    <label for="subjectCheck24" class="custom-control-label">Hausa Language</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck25" type="checkbox" value="health habits" class="custom-control-input">
                                                    <label for="subjectCheck25" class="custom-control-label">Health Habits</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck26" type="checkbox" value="history" class="custom-control-input">
                                                    <label for="subjectCheck26" class="custom-control-label">History</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck27" type="checkbox" value="home economcis" class="custom-control-input">
                                                    <label for="subjectCheck27" class="custom-control-label">Home Economics</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck28" type="checkbox" value="information technology" class="custom-control-input">
                                                    <label for="subjectCheck28" class="custom-control-label">Information Technology</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck29" type="checkbox" value="igbo language" class="custom-control-input">
                                                    <label for="subjectCheck29" class="custom-control-label">Igbo Language</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck30" type="checkbox" value="islamic studies" class="custom-control-input">
                                                    <label for="subjectCheck30" class="custom-control-label">Islamic Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck31" type="checkbox" value="letter work" class="custom-control-input">
                                                    <label for="subjectCheck31" class="custom-control-label">Letter Work</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck32" type="checkbox" value="literature-in-english" class="custom-control-input">
                                                    <label for="subjectCheck32" class="custom-control-label">Literature in English</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck33" type="checkbox" value="mathematics" class="custom-control-input">
                                                    <label for="subjectCheck33" class="custom-control-label">Mathematics</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck34" type="checkbox" value="metal/wood work" class="custom-control-input">
                                                    <label for="subjectCheck34" class="custom-control-label">Metal/Wood Work</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck35" type="checkbox" value="music" class="custom-control-input">
                                                    <label for="subjectCheck35" class="custom-control-label">Music</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck36" type="checkbox" value="number work" class="custom-control-input">
                                                    <label for="subjectCheck36" class="custom-control-label">Number Work</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck37" type="checkbox" value="office pratice" class="custom-control-input">
                                                    <label for="subjectCheck37" class="custom-control-label">Office Practice</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck38" type="checkbox" value="pre-vocational studies" class="custom-control-input">
                                                    <label for="subjectCheck38" class="custom-control-label">Pre-Vocational Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck39" type="checkbox" value="physical and health education" class="custom-control-input">
                                                    <label for="subjectCheck39" class="custom-control-label">Physical and Health Education</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck40" type="checkbox" value="physics" class="custom-control-input">
                                                    <label for="subjectCheck40" class="custom-control-label">Physics</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck41" type="checkbox" value="sensorial activities" class="custom-control-input">
                                                    <label for="subjectCheck41" class="custom-control-label">Sensorial Activities</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck42" type="checkbox" value="social habits" class="custom-control-input">
                                                    <label for="subjectCheck42" class="custom-control-label">Social Habits</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck43" type="checkbox" value="social studies" class="custom-control-input">
                                                    <label for="subjectCheck43" class="custom-control-label">Social Studies</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck44" type="checkbox" value="songs and rhymes" class="custom-control-input">
                                                    <label for="subjectCheck44" class="custom-control-label">Songs and Rhymes</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck45" type="checkbox" value="technical drawing" class="custom-control-input">
                                                    <label for="subjectCheck45" class="custom-control-label">Technical Drawing</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck46" type="checkbox" value="typewriting" class="custom-control-input">
                                                    <label for="subjectCheck46" class="custom-control-label">Typewriting</label>
                                                </div>
                                                <div class="custom-control custom-checkbox mb-3">
                                                    <input name="subject[]" id="subjectCheck47" type="checkbox" value="yoruba language" class="custom-control-input">
                                                    <label for="subjectCheck47" class="custom-control-label">Yoruba Language</label>
                                                </div>
                                                </div>
                                            </div>
                                            </div>
                                            
                                            <button name= "submit" type="submit" class="btn btn-primary">Submit</button>
                                        </form>
                                        <br><br>
<?php
if (isset($_POST['submit'])){
    //prepare data
    $firstname = strtolower($_POST['firstname']);
    $lastname = strtolower($_POST['lastname']);
    $middlename = strtolower($_POST['middlename']);
    $gender = strtolower($_POST['gender']);
    $dob = $_POST['dob'];
    $religion = strtolower($_POST['religion']);
    $address = strtolower($_POST['address']);
    $class = serialize($_POST['class']);
    $subject = serialize($_POST['subject']);
    
    //get teachers id
    $teacher_id = teacher_id($school_id);
    $password = $firstname.".".$lastname;
    $password_hash = PASSWORD_HASH($password, PASSWORD_DEFAULT);
    
    //insert records
    $stmt = $conn->PREPARE("INSERT INTO `teachers`(`firstname`, `lastname`, `middlename`, `gender`, `dob`, `religion`, `address`,`class`, `subject`, `school_id`,`school_name`, `teacher_id`, `password`) 
                            VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)");
    $stmt->BIND_PARAM("sssssssssssss",$firstname,$lastname,$middlename,$gender,$dob,$religion,$address,$class,$subject,$school_id,$school_name,$teacher_id,$password_hash);
    if ($stmt->EXECUTE()){
        $message.= "Teacher added successfully";
        $message.="<br> Teacher_id is:".$teacher_id;
        $message.="<br> Teacher password is ".$firstname.".".$lastname;
        //send notification
        notify($school_id, "$lastname, $firstname have been added as a teacher for $school_name.");
    }
    // echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}


?>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <script src="public/vendor/select2/select2.min.js"></script>
        <script src="public/js/select2.js"></script>
        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>