<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$school_data_menu = true;
$student_active = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//block opening page if id isnt specified.
if (!isset($_GET['id'])){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/0/super/sauth/view-students.php'>";
    exit();
}

//fetch school record from schools table
$school_id = $_SESSION['school_id'];

$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}
$stmt->close();

//get student id from $_GET
$student_id = htmlspecialchars($_GET["id"]);

//fetch students records from students table
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = ucwords($row['firstname']);
    $lastname = ucwords($row['lastname']);
    $middlename = ucwords($row['middlename']);
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $class = $row['class'];
    $subject01 = trim($row['subject01']);
    $subject02 = trim($row['subject02']);
    $subject03 = trim($row['subject03']);
    $subject04 = trim($row['subject04']);
    $subject05 = trim($row['subject05']);
    $subject06 = trim($row['subject06']);
    $subject07 = trim($row['subject07']);
    $subject08 = trim($row['subject08']);
    $subject09 = trim($row['subject09']);
    $subject10 = trim($row['subject10']);
}
$stmt->close();


?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit Students' Records - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/flatpickr-airbnb.css"
              rel="stylesheet">
        <link type="text/css" href="public/css/toastr.css" rel="stylesheet">
        
        <link type="text/css" href="public/css/toastr.css" rel="stylesheet">
        <link type="text/css" href="public/vendor/toastr.min.css" rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item"><a href="index.php">School Admin</a></li>
                                            <li class="breadcrumb-item active"><a href="view-students.php">View Students</a></li>
                                            <li class="breadcrumb-item active">Edit Student Record</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        
                        <!-- Page Content -->
                        <div class="container-fluid page__container page-section">
<?php 
if (isset($_POST['submit'])){
    //collect data
    $firstname = strtolower($_POST['firstname']);
    $lastname = strtolower($_POST['lastname']);
    $middlename = strtolower($_POST['middlename']);
    $gender = strtolower($_POST['gender']);
    $dob = $_POST['dob'];
    $blood_group = $_POST['blood_group'];
    $religion = strtolower($_POST['religion']);
    $address = strtolower($_POST['address']);
    $class = strtolower($_POST['class']);
    $subject01 = $_POST['subject01'];
    $subject02 = $_POST['subject02'];
    $subject03 = $_POST['subject03'];
    $subject04 = $_POST['subject04'];
    $subject05 = $_POST['subject05'];
    $subject06 = $_POST['subject06'];
    $subject07 = $_POST['subject07'];
    $subject08 = $_POST['subject08'];
    $subject09 = $_POST['subject09'];
    $subject10 = $_POST['subject10'];
    //update record
    $stmt=$conn->PREPARE("UPDATE `students` SET `firstname`= ?, `lastname`= ?, `middlename`=?, `gender`= ?, `dob`=?, `blood_group`=?, `religion`=?, `address`=?, `class`=?, `subject01`=?, `subject02`=?, `subject03`=?,`subject04`=?, `subject05`=?, `subject06`=?, `subject07`=?, `subject08`=?, `subject09`=?, `subject10`=? WHERE `student_id` = ?");
    $stmt->BIND_PARAM("ssssssssssssssssssss",$firstname, $lastname, $middlename, $gender,$dob,$blood_group,$religion,$address,$class,$subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10,$student_id);
    if ($stmt->EXECUTE()){
        $message = "Records successfully updated for student $student_id";
        notify($school_id, "Records updated for $lastname, $firstname ($student_id)");
    }else{
        $message = "something went wrong, Please try again later.";
    }
    
    // echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message."<br>Returning to student lists..";}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
    echo "<meta http-equiv='refresh' content='3;url=https://mysmartschool.site/0/super/sauth/view-students.php'>"; 

}
?>

                        <div class="container page__container page-section">
                            <div class="row mb-32pt">
                                <div class="col-lg-4">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Details</div>
                                    </div>
                                    <div class="alert alert-warning mb-0" role="alert">
                                            <div class="d-flex flex-wrap align-items-start">
                                                <div class="mr-8pt">
                                                    <i class="material-icons">priority_high</i>
                                                </div>
                                                <div class="flex" style="min-width: 180px">
                                                    <small class="text-black-100">
                                                        Please update/edit the following details about the student.<br><br>
                                                        Student Name: <?php echo "<strong>$lastname</strong>".", ".$firstname; ?><br>
                                                        Student ID: <?php echo $student_id;?> <br>
                                                        Class: <?php echo strtoupper($class) ?> <br>
                                                    </small>
                                                </div>
                                            </div>
                                        </div>
                                </div>
                                <div class="col-lg-8 d-flex align-items-center">
                                    <div class="flex" style="max-width: 100%">
                                        <form method="post" action="">
                                            <div class="form-group">
                                                <label class="form-label" for="firstname">First Name</label>
                                                <input name="firstname"  type="text" class="form-control" id="firstname" value="<?php echo $firstname; ?>" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="lastname">Last Name (- Surname)</label>
                                                <input name="lastname"  type="text" class="form-control" id="lastname" value="<?php echo $lastname; ?>" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="middlename">Middle Name</label>
                                                <input name="middlename"  type="text" class="form-control" id="middlename" value="<?php echo $middlename; ?>">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="gender-select">Gender</label>
                                                <select name="gender" id="gender-select" class="form-control custom-select" required>
                                                    <option value="Male" <?php if ($gender =="male"){echo 'selected';} ?>>Male</option>
                                                    <option value="Female" <?php if ($gender =="female"){echo 'selected';} ?>>Female</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label">Date of Birth</label>
                                                <input name="dob" type="hidden" class="form-control flatpickr-input" data-toggle="flatpickr" value="<?php echo $dob; ?>" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="blood-select">Blood Group</label>
                                                <select name="blood_group" id="blood-select" class="form-control custom-select" required>
                                                    <option value="A+" <?php if ($blood_group =="A+"){echo 'selected';} ?>>A+</option>
                                                    <option value="A-" <?php if ($blood_group =="A-"){echo 'selected';} ?>>A-</option>
                                                    <option value="B+" <?php if ($blood_group =="B+"){echo 'selected';} ?>>B+</option>
                                                    <option value="B-" <?php if ($blood_group =="B-"){echo 'selected';} ?>>B-</option>
                                                    <option value="O+" <?php if ($blood_group =="O+"){echo 'selected';} ?>>O+</option>
                                                    <option value="O-" <?php if ($blood_group =="O-"){echo 'selected';} ?>>O-</option>
                                                    <option value="AB+" <?php if ($blood_group =="AB+"){echo 'selected';} ?>>AB+</option>
                                                    <option value="AB-" <?php if ($blood_group =="AB-"){echo 'selected';} ?>>AB-</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="religion-select">Religion</label>
                                                <select name="religion" id="gender-select" class="form-control custom-select" required>
                                                    <option value="Christianity" <?php if ($religion == "Christianity"){echo 'selected';} ?>>Christianity</option>
                                                    <option value="Islam" <?php if ($religion == "Islam"){echo 'selected';} ?>>Islam</option>
                                                    <option value="Others" <?php if ($religion == "others"){echo 'selected';} ?>>Others</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="address">Address</label>
                                                <input name="address"  type="text" class="form-control" id="address" value="<?php echo $address; ?>" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="class-select">Class</label>
                                                <select name="class" id="class-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select student's class</option>
                                                    <option value="jss 1" <?php if($class=='jss 1'){echo "selected";} ?>>JSS 1</option>
                                                    <option value="jss 2" <?php if($class=='jss 2'){echo "selected";} ?>>JSS 2</option>
                                                    <option value="jss 3" <?php if($class=='jss 3'){echo "selected";} ?>>JSS 3</option>
                                                    <option value="sss 1" <?php if($class=='sss 1'){echo "selected";} ?>>SSS 1</option>
                                                    <option value="sss 2" <?php if($class=='sss 2'){echo "selected";} ?>>SSS 2</option>
                                                    <option value="sss 3" <?php if($class=='sss 3'){echo "selected";} ?>>SSS 3</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject01-select">Subject 01</label>
                                                <select name="subject01" id="subject01-select" class="form-control custom-select" required>
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject02-select">Subject 02</label>
                                                <select name="subject02" id="subject02-select" class="form-control custom-select" required>
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject03-select">Subject 03</label>
                                                <select name="subject03" id="subject03-select" class="form-control custom-select" required>
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject04-select">Subject 04</label>
                                                <select name="subject04" id="subject04-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject05-select">Subject 05</label>
                                                <select name="subject05" id="subject05-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject06-select">Subject 06</label>
                                                <select name="subject06" id="subject06-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject07 select">Subject 07</label>
                                                <select name="subject07" id="subject07-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject08-select">Subject 08</label>
                                                <select name="subject08" id="subject08-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject09-select">Subject 09</label>
                                                <select name="subject09" id="subject09-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject10-select">Subject 10</label>
                                                <select name="subject10" id="subject10-select" class="form-control custom-select">
                                                    <option value="agricultural science" <?php if ($subject01=='agricultural science'){echo "selected";} ?>>Agricultural Science</option>
                                                    <option value="arabic language" <?php if ($subject01=='arabic language'){echo "selected";} ?>>Arabic Language</option>
                                                    <option value="basic science" <?php if ($subject01=='basic science'){echo "selected";} ?>>Basic Science</option>
                                                    <option value="basic technology" <?php if ($subject01=='basic technology'){echo "selected";} ?>>Basic Technology</option>
                                                    <option value="basic science and technology" <?php if ($subject01=='basic science and technology'){echo "selected";} ?>>Basic Science and Technology</option>
                                                    <option value="biology" <?php if ($subject01=='biology'){echo "selected";} ?>>Biology</option>
                                                    <option value="book keeping" <?php if ($subject01=='book keeping'){echo "selected";} ?>>Book Keeping</option>
                                                    <option value="business studies" <?php if ($subject01=='business studies'){echo "selected";} ?>>Business Studies</option>
                                                    <option value="chemistry" <?php if ($subject01=='chemistry'){echo "selected";} ?>>Chemistry</option>
                                                    <option value="christian religion studies" <?php if ($subject01=='christian religion studies'){echo "selected";} ?>>Christian Religion Studies</option>
                                                    <option value="civic education" <?php if ($subject01=='civic education'){echo "selected";} ?>>Civic Education</option>
                                                    <option value="commerce" <?php if ($subject01=='commerce'){echo "selected";} ?>>Commerce</option>
                                                    <option value="computer studies" <?php if ($subject01=='computer studies'){echo "selected";} ?>>Computer Studies</option>
                                                    <option value="data processing" <?php if ($subject01=='data processing'){echo "selected";} ?>>Data Processing</option>
                                                    <option value="economics" <?php if ($subject01=='economics'){echo "selected";} ?>>Economics</option>
                                                    <option value="english language" <?php if ($subject01=='english language'){echo "selected";} ?>>English Language</option>
                                                    <option value="financial account" <?php if ($subject01=='financial account'){echo "selected";} ?>>Financial Account</option>
                                                    <option value="fine arts/creative art" <?php if ($subject01=='fine art/creative art'){echo "selected";} ?>>Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition" <?php if ($subject01=='food and nutrition'){echo "selected";} ?>>Food and Nutrition</option>
                                                    <option value="french" <?php if ($subject01=='french'){echo "selected";} ?>>French</option>
                                                    <option value="further mathematics" <?php if ($subject01=='further mathematics'){echo "selected";} ?>>Further Mathematics</option>
                                                    <option value="geography" <?php if ($subject01=='geography'){echo "selected";} ?>>Geography</option>
                                                    <option value="government" <?php if ($subject01=='government'){echo "selected";} ?>>Government</option>
                                                    <option value="hausa language" <?php if ($subject01=='hausa language'){echo "selected";} ?>>Hausa Language</option>
                                                    <option value="health habits" <?php if ($subject01=='health habits'){echo "selected";} ?>>Health Habits</option>
                                                    <option value="history" <?php if ($subject01=='history'){echo "selected";} ?>>History</option>
                                                    <option value="home economics" <?php if ($subject01=='home economics'){echo "selected";} ?>>Home Economics</option>
                                                    <option value="information technology" <?php if ($subject01=='information technology'){echo "selected";} ?>>Information Technology</option>
                                                    <option value="igbo language" <?php if ($subject01=='igbo language'){echo "selected";} ?>>Igbo Language</option>
                                                    <option value="islamic studies" <?php if ($subject01=='islamic studies'){echo "selected";} ?>>Islamic Studies</option>
                                                    <option value="letter work" <?php if ($subject01=='letterwork'){echo "selected";} ?>>Letter Work</option>
                                                    <option value="literature–in-english" <?php if ($subject01=='literature-in-english'){echo "selected";} ?>>Literature–in-English</option>
                                                    <option value="mathematics" <?php if ($subject01=='mathematics'){echo "selected";} ?>>Mathematics</option>
                                                    <option value="metal/wood work" <?php if ($subject01=='metal/wood work'){echo "selected";} ?>>Metal/Wood Work</option>
                                                    <option value="music" <?php if ($subject01=='music'){echo "selected";} ?>>Music</option>
                                                    <option value="number work" <?php if ($subject01=='number work'){echo "selected";} ?>>Number Work</option>
                                                    <option value="office practice" <?php if ($subject01=='office practice'){echo "selected";} ?>>Office Practice</option>
                                                    <option value="pre-vocational studies" <?php if ($subject01=='pre-vocational studies'){echo "selected";} ?>>Pre-Vocational Studies</option>
                                                    <option value="physical and health education" <?php if ($subject01=='physical and health education'){echo "selected";} ?>>Physical and Health Education</option>
                                                    <option value="physics" <?php if ($subject01=='physics'){echo "selected";} ?>>Physics</option>
                                                    <option value="sensorial activities" <?php if ($subject01=='sensorial activities'){echo "selected";} ?>>Sensorial Activities</option>
                                                    <option value="social habits" <?php if ($subject01=='social habits'){echo "selected";} ?>>Social Habits</option>
                                                    <option value="social studies" <?php if ($subject01=='social studies'){echo "selected";} ?>>Social Studies</option>
                                                    <option value="songs and rhymes" <?php if ($subject01=='songs and rhymes'){echo "selected";} ?>>Songs and Rhymes</option>
                                                    <option value="technical drawing" <?php if ($subject01=='technical drawing'){echo "selected";} ?>>Technical Drawing</option>
                                                    <option value="typewriting" <?php if ($subject01=='typewriting'){echo "selected";} ?>>Typewriting</option>
                                                    <option value="yoruba language" <?php if ($subject01=='yoruba language'){echo "selected";} ?>>Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <button name= "submit" type="submit" class="btn btn-primary">UPDATE RECORDS</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        </div>
                        
                        



                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>
        
        <script src="public/vendor/toastr.min.js"></script>
        <script src="public/js/toastr.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>