<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$school_info_menu = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
    $school_email = $row['school_email'];
    $school_phone_main = $row['school_phone_main'];
    $school_phone_2 = $row['school_phone_2'];
    $school_phone_3 = $row['school_phone_3'];
    $school_website = $row['school_website'];
    $school_ig = $row['school_ig'];
    $school_fb = $row['school_fb'];
    $school_twitter = $row['school_twitter'];
    $school_opening = $row['school_opening'];
    $school_closing = $row['school_closing'];
}


    if (isset($_POST['submit'])){
    //collect data
    $clinic_name = $_POST['clinicname'];
    $clinic_address = $_POST['clinicaddress'];
    $clinic_main_no = $_POST['clinicmainno'];
    $clinic_second_no = $_POST['clinicsecondno'];
    
    //insert student records
    $stmt = $conn->PREPARE("INSERT INTO `school_clinic`(`school_id`, `school_name`, `clinic_name`, `clinic_address`, `clinic_contact_1`, `clinic_contact_2`) 
                            VALUES (?,?,?,?,?,?)");
    $stmt->BIND_PARAM("ssssss",$school_id,$school_name,$clinic_name,$clinic_address,$clinic_main_no,$clinic_second_no);
    if ($stmt->EXECUTE()){
        $message = "$clinic_name successfully added as hospital for $school_name";
        notify($school_id, "$clinic_name successfully added as hospital for $school_name");
    }else{
        $message = "Something went wrong, Please try again later.";
    }
    
    echo "<meta http-equiv='refresh' content='2'>"; 
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add Hospital Affiliate - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item">School Admin</li>
                                            <li class="breadcrumb-item active">List Hospital Affiliate</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="school-details.php"
                                           class="btn btn-outline-secondary">Update School Details</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        
                        <!-- Page Content -->

                <div class="page-section container page__container">
                    <div class="page-separator">
                        <div class="page-separator__text">Add Hospital Details</div>
                    </div>
                    <div class="alert alert-soft-warning mb-0 p-8pt">
                        <div class="d-flex align-items-start">
                            <div class="mr-8pt">
                                <i class="material-icons">error_outline</i>
                            </div>
                            <div class="flex">
                                <small class="text-100">Kindly provide the details of the hospitals affiliated to your school.</small>
                            </div>
                        </div>
                    </div>
                    <br><br>
<?php 

if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>

                    <div class="col-lg-12 p-0">
                        <div class="list-group list-group-form">
                            <div class="list-group-item d-flex align-items-center">
                                <div class="flex">Note: <strong>You can add more than one hospital affiliate.</strong></div>
                            </div>
                            
                            <form  action="" method="POST">
                            <div class="list-group-item">
                                <div class="form-group row align-items-center mb-0">
                                    <label class="col-form-label form-label col-sm-3">Hospital Name</label>
                                    <div class="col-sm-9">
                                        <input type="text"
                                               class="form-control"
                                               name="clinicname"
                                               placeholder="Hospital Name" 
                                               required/>
                                    </div>
                                </div>
                            </div>
                            
                            <div class="list-group-item">
                                <div class="form-group row align-items-center mb-0">
                                    <label class="col-form-label form-label col-sm-3">Hospital Address</label>
                                    <div class="col-sm-9">
                                        <input type="text"
                                               class="form-control"
                                               name="clinicaddress"
                                               placeholder="Hospital Address" 
                                               required/>
                                    </div>
                                </div>
                            </div>
                            <div class="list-group-item">
                                <div class="form-group row align-items-center mb-0">
                                    <label class="col-form-label form-label col-sm-3">Hospital Main Phone (Hotline in case of emergency)</label>
                                    <div class="col-sm-9">
                                        <input type="text"
                                               class="form-control"
                                               name="clinicmainno"
                                               placeholder="Hospital Main Phone No"
                                               required/>
                                    </div>
                                </div>
                            </div>
                            <div class="list-group-item">
                                <div class="form-group row align-items-center mb-0">
                                    <label class="col-form-label form-label col-sm-3">Hospital Second Phone</label>
                                    <div class="col-sm-9">
                                        <input type="text"
                                               class="form-control"
                                               name="clinicsecondno"
                                               placeholder="Hospital Second Phone No" />
                                    </div>
                                </div>
                            </div>
                            <div class="list-group-item">
                                <div class="form-group row align-items-center mb-0">
                                    <div class="col-sm-3"></div>
                                    <div class="col-sm-9">
                                    <button name="submit" type="submit" class="btn btn-success">
                                        Add Hospital Details
                                    </button> 
                                    </div>
                                </div>
                            </div>
                            </form>
                        </div>
                        
                    </div>
                    
                    
                    <br><br>
                    <div class="page-separator">
                            <div class="page-separator__text">Added Hospital Affiliates</div>
                        </div>
                    
                    <div class="col-lg-12 mb-8pt mb-sm-0">
                    <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>Hospital Name</a>
                                        </th>
                                        <th>
                                            <a>Hospital Address</a>
                                        </th>
                                        <th>
                                            <a>Phone No(s)</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }


//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `school_clinic` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 10;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

//select all records again with limits
$stmt = $conn->PREPARE("SELECT * FROM `school_clinic` WHERE `school_id` = ? ORDER BY `date_created` DESC LIMIT ?, ?");
$stmt->BIND_PARAM("sss", $school_id, $this_page_first_result, $per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn = $this_page_first_result + 1;
while($row = $result->FETCH_ASSOC()){
?>

                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo $sn; ?></small>
                                        </td>
                                            
                                        <td>
                                            <small class="text-50"><?php echo "<strong>".$row['clinic_name']."</strong>"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo "<strong>".$row['clinic_address']."</strong>"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo "<strong>".$row['clinic_contact_1']."<br>".$row['clinic_contact_2']."</strong>"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <a href="edit-hospital-affiliate.php?id=<?php echo $row['school_id']; ?>&token=<?php echo $row['id']; ?>" class="btn btn-warning btn-sm">Edit</a> 
                                            &nbsp;
                                            <a href="delete-hospital-affiliate.php?id=<?php echo $row['school_id']; ?>&token=<?php echo $row['id']; ?>" class="btn btn-danger btn-sm">Delete</a>
                                        </td>
                                    </tr>
                                </tbody>
<?php 
$sn+=1;
    }

?>
                            </table>
                        </div>

                        <div class="card-footer p-8pt">

                            <ul class="pagination justify-content-start pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item"><a class="page-link"><span class="alert-soft-primary">(page <?php echo $page; ?> of <?php echo $number_of_pages; ?>)</span></a></li>
                            </ul>
                        </div>
                    
                        </div>
                    
                </div>

                <!-- // END Page Content -->
                        

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>