<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$mail_menu = true;
$inbox_menu = true;


if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}


//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Inbox - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">
                        <div class="page-section">
                            <div class="container">
                                
                                <div class="card mb-0">
                                    <div class="card-body d-flex align-items-center">
                                        <div class="mr-3">
                                            <div class="avatar avatar-l">
                                               <span class="avatar-title rounded-circle">SA</span>
                                            </div>
                                        </div>
                                        <div class="flex">
                                            <h4 class="mb-0">School Admin</h4>
                                                <p class="text-50 mb-0"><?php echo $school_name; ?></p>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="navbar justify-content-start">
                                    <a href="send-mail.php"
                                       class="btn btn-sm btn-primary ml-8pt"><i class="material-icons icon--left">edit</i> Compose</a>
                                    <a href="mail-list.php"
                                       class="btn btn-sm btn-accent ml-8pt"><i class="material-icons icon--left">message</i> Inbox</a>
                                    <a href="sent-mail.php"
                                       class="btn btn-sm alert-primary ml-8pt"><i class="material-icons icon--left">send</i> Sent</a>
                                </div>
                                
<?php 
//fetch unread mails
$stmt = $conn->PREPARE("SELECT * FROM `mails` WHERE `receiver_id` = ? AND `status`= 0");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$unread = mysqli_num_rows($result);
$stmt->close();
?>


                        <div class="page-separator">
                            <div class="page-separator__text">Inbox (<?php echo $unread;?>)</div>
                        </div>

                                <div class="list-group list-group-flush"
                                     style="position: relative; z-index: 0;">
<?php 
//fetch mails
$stmt = $conn->PREPARE("SELECT * FROM `mails` WHERE `receiver_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 10;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();
if ($page==$number_of_pages){
    $this_page_last_result = ($page*$per_page)-($page*$per_page-$count);
}else{
    $this_page_last_result = $this_page_first_result + $per_page;
}


$stmt = $conn->PREPARE("SELECT * FROM `mails` WHERE `receiver_id` = ? ORDER BY `date_created` DESC LIMIT ?,?");
$stmt->BIND_PARAM("sss", $school_id,$this_page_first_result,$per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){

?>
                                <a href="view-mail.php?token=<?php echo md5($row['id']); ?>">
                                    <div class="list-group-item d-flex align-items-start border-left-3 <?php if($row['status'] == 0){echo "border-left-primary";}else{echo "";} ?>">
                                        <div class="flex">
                                            <p class="m-0">
                                                <span class="d-flex align-items-center mb-1">
                                                    <strong><?php echo $row['sender']; ?></strong>
                                                    <small class="ml-auto text-muted">
                                                    <?php 
                                                    //parse and echo date
                                                    $mail_date = $row['date_created'];
                                                    if (intval(date("d-M-Y", strtotime($mail_date)))==intval(date("d"))){
                                                        echo "today";
                                                    }elseif(intval(date("d-M-Y", strtotime($mail_date)))==intval(date("d"))-1){
                                                        echo "yesterday";
                                                    }else{
                                                        echo date("d-M-Y", strtotime($mail_date));
                                                    }
                                                    ?>
                                                    </small>
                                                </span>
                                                <span class="d-flex align-items-end">
                                                    <span class="flex mr-3">
                                                        <strong class="text-body mb-1"><?php echo "Subject: ".ucwords($row['subject']); ?></strong><br>
                                                        <span class="text-muted"
                                                               style="max-height: 2rem; overflow: hidden; position: relative; display: inline-block;">
                                                            <?php echo strip_tags(substr($row['message'], 0, 80)); ?></span>
                                                    </span>
                                                </span>
                                            </p>
                                        </div>
                                    </div>
                                </a>
<?php 
}
?>
                                <div class="card-footer p-8pt">
                                    <ul class="pagination justify-content-start pagination-xsm m-0">
                                        <li class="page-item">
                                            <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                                <span>first</span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                                <span aria-hidden="true" class="material-icons">chevron_left</span>
                                                <span>Prev</span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" aria-label="Page 1">
                                                <span><?php echo $page; ?></span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                                <span>Next</span>
                                                <span aria-hidden="true" class="material-icons">chevron_right</span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                                <span>last</span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a class="page-link alert-primary">
                                                <span><?php $from=$this_page_first_result+1; echo $from." - ".$this_page_last_result." of ".$count; ?></span>
                                            </a>
                                        </li>
                                        
                                    </ul>
                                </div> 
                                
                            </div>                                
                                
                            </div>
                        </div>

                    <!-- Footer -->

                    <div class="bg-white border-top-2 mt-auto">
                        <div class="container page__container page-section d-flex flex-column">
                            <p class="mb-8pt d-flex">
                                <a href=""
                                   class="text-70 text-underline mr-8pt small">Terms</a>
                                <a href=""
                                   class="text-70 text-underline small">Privacy policy</a>
                            </p>
                            <p class="text-50 small mt-n1 mb-0">Copyright <?php echo date("Y");?> &copy; All rights reserved.</p>
                        </div>
                    </div>
        
                    <!-- // END Footer -->

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>