<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$mail_menu = true;
$compose_mail_menu = true;


if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}


//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

//fetch receiver from GET if present
if ($_GET['to']){
    $to = trim(strtoupper($_GET['to']));
}

$mail_list = "https://mysmartschool.site/0/super/sauth/mail-list.php";
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Send Mail - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- tinymce -->      
        <script src="public/tinymce/js/tinymce/tinymce.min.js"></script>
        <script>
          tinymce.init({
            selector: '#mail',
            branding: false
          });
        </script>

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">
                        <div class="page-section">
                            <div class="container">
                                
                                <div class="card mb-0">
                                    <div class="card-body d-flex align-items-center">
                                        <div class="mr-3">
                                            <div class="avatar avatar-l">
                                               <span class="avatar-title rounded-circle">SA</span>
                                            </div>
                                        </div>
                                        <div class="flex">
                                            <h4 class="mb-0">School Admin</h4>
                                                <p class="text-50 mb-0"><?php echo $school_name; ?></p>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="navbar justify-content-start">
                                    <a href="send-mail.php"
                                       class="btn btn-sm btn-primary ml-8pt"><i class="material-icons icon--left">edit</i> Compose</a>
                                    <a href="mail-list.php"
                                       class="btn btn-sm btn-accent ml-8pt"><i class="material-icons icon--left">message</i> Inbox</a>
                                    <a href="sent-mail.php"
                                       class="btn btn-sm alert-primary ml-8pt"><i class="material-icons icon--left">send</i> Sent</a>
                                </div>
                        <div class="col-lg-12 mb-8pt mb-sm-0">
<?php 
if (isset($_POST['send'])){
    if (empty($_POST['mail'])){
        echo "<div class='alert alert-soft-danger text-black' role='alert'>Message is empty!!! Mail not sent.</div>";
    }else{
        //fetch data from form
        $from = strtoupper($school_id);
        $to = trim(strtoupper($_POST['to']));
        $mail_subject = $_POST['mail_subject'];
        $mail = $_POST['mail'];
        $sender = ucwords($school_name)." Admin";
        $receiver = getReceiver($to);
        //check if receiver return value then send mail
        if (!isset($receiver) OR trim($receiver) === '' OR $receiver=='undefined'){
            echo "<div class='alert alert-soft-danger text-black' role='alert'>Mail not sent! Receiver not found.</div>";
            unset($to);
        }else{
            $stmt = $conn->PREPARE("INSERT INTO `mails`(`school_id`, `sender_id`, `receiver_id`, `sender`, `receiver`, `subject`,`message`) VALUES (?,?,?,?,?,?,?)");
            $stmt->BIND_PARAM("sssssss", $school_id, $from, $to, $sender, $receiver, $mail_subject, $mail);
            if ($stmt->EXECUTE()){
                echo "<div class='alert alert-success text-black' role='alert'>Mail sent</div>";
                echo "<meta http-equiv='refresh' content='2;url=$mail_list'>"; 
            }
        }
        
    }
}
?>
                            <div class="flex" style="max-width: 100%">
                                <form method="post" action="" id="form2">
                                    <div class="form-group">
                                    <input type = "text" value="<?php echo "From: ".$school_name." Admin";?>"  class="form-control form-control-prepended" required="" placeholder="From: <enter sender id>" disabled>
                                    </div>
                                    
                                    <div class="form-group">
                                    <input type = "text" name="to" value="<?php echo $to; ?>" class="form-control form-control-prepended" required="" placeholder="To: <enter receiver id e.g. X123456/X/1234>" <?php if (isset($to)){echo "disabled";}?> >
                                    </div>
                                    
                                    <div class="form-group">
                                    <input type = "text" name="mail_subject" class="form-control form-control-prepended" required="" placeholder="Subject:">
                                    </div>
                                    
                                    <div class="form-group">
                                        <textarea rows="20" cols="45" name="mail" id="mail" class="form-control" maxlength="20000" placeholder="Compose your mail here"></textarea>
                                    </div>
                                    <button name= "send" type="submit" class="btn btn-lg btn-primary" form = "form2">Send<i class="material-icons">send</i></button>
                                </form>
                                <br>

                            </div>
                                        
                        </div>                                
                                


                            </div>
                        </div>

                    <!-- Footer -->

                    <div class="bg-white border-top-2 mt-auto">
                        <div class="container page__container page-section d-flex flex-column">
                            <p class="mb-8pt d-flex">
                                <a href=""
                                   class="text-70 text-underline mr-8pt small">Terms</a>
                                <a href=""
                                   class="text-70 text-underline small">Privacy policy</a>
                            </p>
                            <p class="text-50 small mt-n1 mb-0">Copyright <?php echo date("Y");?> &copy; All rights reserved.</p>
                        </div>
                    </div>
        
                    <!-- // END Footer -->

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
        
        
    </body>

</html>