<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$assignment_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);


//get class name and subject from get
$this_class=$_GET['class'];
$this_subject = $_GET['subject'];
$filename = $_GET['filename'];

//validate if teacher has this class
if ( in_array(strtolower($this_class),$class) and in_array(strtolower($this_subject),$subject) ){
    
}else{
    echo "You dont have this class listed";
    echo "contact the school admin. Thank you.";
    exit();
}

//build subject directory and validate
    //files are in class name - subject name in subject folder
    //e.g. /home3/cedargen/public_html/mysmartschool/happy-day-academy/subject/class-subject/
//get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$class_folder =str_replace(" ","-",$this_class)."-".str_replace(" ","-",$this_subject); 
$dir = "/home3/cedargen/public_html/mysmartschool/$school_name_url/subject/$class_folder/";
$_SESSION['target_dir'] = $dir;

//check if directory exist
if (is_dir($dir)){
    //fine
}else{
    if(mkdir($dir)){
        //fine
    }else{
        echo "something is wrong. Could not initiate connection to class and subject folder";
        exit();  
    }
}

//get file details from subjects table using $filename
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `vfile_name` = ?");
$stmt->BIND_PARAM("s", $filename);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $topic = $row['topic'];
    $description = $row['description'];
    
}

$assignment_id = "a-".$teacher_id."-".$filename;

?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - Set Assignments | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">
              
        <!-- fine uploader -->
        <link type="text/css"
              href="../../public/vendor/fine-uploader-new.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">
              
        <!-- drop zone -->
        <link type="text/css"
              href="../../public/css/dropzone.css"
              rel="stylesheet">
        
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
        
        <!-- tinymce -->
        <script src="../../public/tinymce/js/tinymce/tinymce.min.js"></script>
        <script>
          tinymce.init({
            selector: '#assignmentarea',
            branding: false
          });
        </script>
        <script>
          tinymce.init({
            selector: '#answerarea',
            branding: false
          });
        </script>
    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active"><a href="assignment.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>">Manage Assignments</a></li>
                                    <li class="breadcrumb-item active">Set Assignment</li>
                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="page-section border-bottom-2">
                    <div class="container page__container">
                        <div class="page-separator">
                            <div class="page-separator__text"><?php echo $this_class."   -   ". $this_subject; ?></div>
                        </div>
                        
                        <div class="page-separator">
                            <div class="page-separator__text">TOPIC: <?php echo $topic; ?></div>
                        </div>
                        <span><?php echo "Topic Description: ". $description; ?></span>
                        <?php 
                        if(assignmentSet($assignment_id)){
                            echo "<div class='alert alert-soft-danger mt-3'><i class='material-icons mr-5pt'>report_problem</i> You have set assignment for this class, to correct any error, please delete the assignment and post the correct one.
                            However, You will not be able to delete this assignment if a student has submitted an answer.</div>";
                        }
                        ?>
                        
                        
                        <div class="page-separator">
                            <div class="page-separator__text">Assignment</div>
                        </div>
                        <div class="col-lg-12 mb-8pt mb-sm-0">
                            <div class="flex" style="max-width: 100%">
                                <form method="post" action="" id="form2">
                                    <div class="form-group">
                                        <textarea rows="30" cols="35" name="assignment" id="assignmentarea" class="form-control" maxlength="20000" placeholder="Type in all questions here"></textarea>
                                    </div>
                                    <div class="page-separator">
                                        <div class="page-separator__text">Answers</div>
                                    </div>
                                    
                                    <div class="form-group">
                                        <textarea rows="30" cols="35" name="answer" id="answerarea" class="form-control" maxlength="20000" placeholder="Type in all answers and click submit"></textarea>
                                    </div>
                                    <button name= "submit" type="submit" class="btn alert-primary" form = "form2" <?php if(assignmentSet($assignment_id)){echo "disabled";} ?>>Submit</button>
                                </form>
                                <br>
<?php 
if (isset($_POST['submit'])){
        if (empty(trim($_POST['assignment']))){
            $message = "No assignment posted into theform";
        }elseif(empty(trim($_POST['answer']))){
            $message = "No answers provided in the form";
        }else{
            //post what is there
            $assignment = $_POST['assignment'];
            $answer = $_POST['answer'];
            $stmt = $conn->PREPARE("INSERT INTO `assignment`(`assignment_id`,`school_id`, `teacher_id`, `class`, `subject`, `topic`, `assignment`,`answer`,`vfile_name`) VALUES (?,?,?,?,?,?,?,?,?)");
            $stmt->BIND_PARAM("sssssssss", $assignment_id, $school_id, $teacher_id, $this_class, $this_subject, $topic, $assignment, $answer, $filename);
            if ($stmt->EXECUTE()){
                $message = "Assignment posted successfully for this class";
            }else{
                $message = "Something is wrong, database error or assignment already posted";
            }
            
        }
    //echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
    }
?>
                            </div>
                                        
                        </div>
                        
                        
                    </div>
                </div>
                
                
                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>
        
        <!-- dropzone -->
        
        <script src="../../public/vendor/dropzone.min.js"></script>
        <script src="../../public/js/dropzone.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    
    </body>
    

</html>