<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$mail_menu = true;
$inbox_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}
$stmt->close();

//fetch school details with school_id
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_address = $row['school_address'];
    $school_location = $row['school_location'];
    $school_status = $row['school_status'];
}
$stmt->close();

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);


//logout url mismatches - compare current url with school name
    //get school name from url
$school_name_url = $_SERVER['REQUEST_URI'];
$school_name_url = explode("/",$school_name_url);
$school_name_url1 = $school_name_url = $school_name_url[1];
$school_name_url = str_replace("-", " ", $school_name_url);

if ($school_name!=$school_name_url){
    header("location: ../login/logout.php");
}

//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }


$mail_list = "https://mysmartschool.site/$school_name_url1/teacher/mail-list.php";

//get token from url and reverse to id
$token = $_GET['token'];
$stmt = $conn->PREPARE("SELECT * FROM `mails`");
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    if (md5($row['id'])==$token){
        $id = $row['id'];
    }
}

//update status to read
$stmt = $conn->PREPARE("UPDATE `mails` SET `status` = 1 WHERE `id`= ?");
$stmt->BIND_PARAM("s",$id);
$stmt->EXECUTE();

//block bad tokens - id not found
if(empty(trim($id))){
        echo "<meta http-equiv='refresh' content='0;url=$mail_list'>";
}


//fetch mails
$stmt = $conn->PREPARE("SELECT * FROM `mails` WHERE `id` = ?");
$stmt->BIND_PARAM("s", $id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $sender_id = $row['sender_id'];
    $receiver_id = $row['receiver_id'];
    $sender = $row['sender'];
    $receiver = $row['receiver'];
    $mail_subject = $row['subject'];
    $message = $row['message'];
    $mail_date = strtotime($row['date_created']);
}
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - School Mail | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
              
        <!-- Quill Theme -->
        <link type="text/css"
              href="../../public/css/quill.css"
              rel="stylesheet">
              
        <!-- tinymce -->      
        <script src="../../public/tinymce/js/tinymce/tinymce.min.js"></script>
        <script>
          tinymce.init({
            selector: '#mail',
            branding: false,
            icons: "small",
            menubar: false,
            toolbar_location: 'bottom',
          });
        </script>

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->
        </div>


        <!-- Drawer Layout -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <div class="page-section">
                    <div class="container">
                        <div class="card mb-0">
                            <div class="card-body d-flex align-items-center">
                                <div class="mr-3">
                                    <div class="avatar avatar-l">
                                       <span class="avatar-title rounded-circle"><?php echo strtoupper($lastname[0].$firstname[0]); ?></span>
                                    </div>
                                </div>
                                <div class="flex">
                                    <h4 class="mb-0"><?php echo ucwords($lastname)." ".ucwords($firstname); ?></h4>
                                        <p class="text-50 mb-0">Teacher</p>
                                </div>
                            </div>
                        </div>
                        
                        <div class="navbar justify-content-start">
                            <a href="send-mail.php"
                               class="btn btn-sm btn-primary ml-0"><i class="material-icons icon--left">edit</i> Compose</a>
                            <a href="mail-list.php"
                               class="btn btn-sm btn-accent ml-8pt"><i class="material-icons icon--left">message</i> Inbox</a>
                            <a href="sent-mail.php"
                               class="btn btn-sm alert-primary ml-8pt"><i class="material-icons icon--left">send</i> Sent</a>
                        </div>
<?php
if (isset($_POST['submit'])){
    if (empty($_POST['mail'])){
            echo "<div class='alert alert-danger text-black' role='alert'>Empty message. Mail not sent</div>";
        }else{
            //fetch data from form
            $mail_subject = "Re: ".$mail_subject;
            $mail = $_POST['mail'];
            echo $to;
            $stmt = $conn->PREPARE("INSERT INTO `mails`(`school_id`, `sender_id`, `receiver_id`, `sender`, `receiver`, `subject`,`message`) VALUES (?,?,?,?,?,?,?)");
            $stmt->BIND_PARAM("sssssss", $school_id, $receiver_id, $sender_id, $receiver, $sender, $mail_subject, $mail);
            if ($stmt->EXECUTE()){
                    echo "<div class='alert alert-success text-black' role='alert'>Mail sent</div>";
                    echo "<meta http-equiv='refresh' content='2;url=$mail_list'>"; 
                }
    }    
}


?>

                </div>
                <div class="page-section alert-soft-primary text-black">
                    <div class="container">
                        <div class="d-flex align-items-center">
                            <div class="col-lg-12">
                                <h1 class="h4 flex"><?php echo ucwords($mail_subject); ?></h1>
                                <div class="d-flex align-items-center mb-3">
                                    <div class="flex">
                                        <p class="m-0">
                                            <span class="d-flex align-items-center">
                                                <a href="#"
                                                   class="text-dark-gray"><strong><?php echo "From: ".$sender; ?></strong>
                                                   <br>
                                                   <span><?php echo "Sender ID: ".$sender_id; ?></span>
                                                </a>
                                                <small class="ml-auto text-muted">
                                                    <?php echo date("d-M-Y", $mail_date);?>
                                                </small>
                                            </span>
                                        </p>
                                    </div>
                                </div>

                                <div class="d-flex align-items-center">
                                    <div class="flex mr-3">
                                        <?php echo $message; ?>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    
                    </div>
                    
                    <div class="page-section">
                        <div class="container">
                            <div class="list-group">
                                    <form method="POST" action="" id="form2">
                                        <div class="list-group-item">
                                            <div role="group" aria-labelledby="label-question" class="m-0 form-group">
                                                <div class="form-row">
                                                    <label id="label-question" for="question" class="col-md-3 col-form-label form-label">Quick Reply</label>
                                                    <div class="col-md-9">
                                                        <textarea id="mail" name="mail" placeholder="Compose your mail here" rows="10" class="form-control" form="form2"></textarea>
                                                    </div>
                                                    
                                                    
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="list-group-item">
                                            <input type="submit" name="submit" value="Reply" class="btn alert-primary" form="form2"> 
                                            
                                        </div>
                                    </form>
                                </div>
                            </div>
                    </div>
                </div>

                <!-- // END Page Content -->
                
                <!-- Footer -->

            <div class="bg-white border-top-2 mt-auto">
                <div class="container page__container page-section d-flex flex-column">
                    <p class="mb-8pt d-flex">
                        <a href=""
                           class="text-70 text-underline mr-8pt small">Terms</a>
                        <a href=""
                           class="text-70 text-underline small">Privacy policy</a>
                    </p>
                    <p class="text-50 small mt-n1 mb-0">Copyright <?php echo date("Y");?> &copy; All rights reserved.</p>
                </div>
            </div>

            <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <!-- Quill -->
        <script src="../../public/vendor/quill.min.js"></script>
        <script src="../../public/js/quill.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    </body>

</html>