<?php 
include 'config.php';

if (isset($_POST['submit'])){
    $school_id = $_POST['school'];
    //fetch school record using the $school_id
    $stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while($row=$result->fetch_assoc()){
        $school_name = $row['school_name'];
    }
    $school_name = strtolower($school_name);
    $folder = str_replace(" ","-",$school_name);
    $dir = "/home3/cedargen/public_html/mysmartschool/".$folder."/";
    $url = "https://mysmartschool.site/".$folder."/";
    //check if dir exist then redirect to url
    if (is_dir($dir)){
        header("location: $url");
    }
}


?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Welcome to SmartSchool - Solution for Prevarsities</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

        <!-- Touchspin -->
        <link type="text/css"
              href="public/css/bootstrap-touchspin.css"
              rel="stylesheet">

        <!-- Select2 -->
        <link type="text/css"
              href="public/vendor/select2/select2.min.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/select2.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky-subnav layout-learnly ">
        


        <?php include ("include/header-main.php"); ?>
        


            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content page-content ">

                <div class="mdk-box mdk-box--bg-white-35 bg-white js-mdk-box mb-0"
                     data-effects="parallax-background blend-background">
                    <div class="mdk-box__bg">
                        <div class="mdk-box__bg-front"
                             style="background-image: url(public/images/backk.jpg);"></div>
                    </div>
                    <div class="mdk-box__content d-flex align-items-center justify-content-center container page__container text-center py-112pt"
                         style="min-height: 656px;">
                        <div class="card card--transparent mb-0">
                            <div class="card-body px-32pt py-24pt">
                                <h1>Solution for Preversities</h1>
                                <p class="lead measure-lead mx-auto mb-32pt">A vast and efficient learning solution for all primary and secondary institutions.</p>
                                
                                <form action="" method="post">
                                <div class="form-group">
                                    <select id="select01" name="school" class="form-control" data-toggle="select" required>
                                        <option value="">Select Your School</option>
                                        <?php 
                                        //connect to database and fetch school list
                                        $stmt = $conn->PREPARE("SELECT * FROM `schools` ORDER BY `school_name`");
                                        $stmt->EXECUTE();
                                        $result = $stmt->GET_RESULT();
                                        while ($row = $result->fetch_assoc()){
                                            echo "<option value=".$row['school_id'].">".ucwords($row['school_name'])."</option>";
                                        }
                                        
                                        ?>
                                    </select>
                                </div>
                                    <br>
                                    <input name="submit" type="submit" value="Enter School" class="btn btn-lg btn-accent btn--raised mb-16pt">
                                </form>
                                
                                <br>
                                <p class="mb-0"><a href="start.php"><strong>School is not listed?</strong></a></p>

                            </div>
                        </div>
                    </div>
                </div>
                

                <div class="page-section border-bottom-2 bg-white">
                    <div class="container page__container">
                        <div class="page-headline text-center">
                            <h2>Features</h2>
                            <p class="lead measure-lead mx-auto text-70">What you can achieve using the smart school solution.</p>
                        </div>

                        <div class="row align-items-center">
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt pb-16pt pb-md-0">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">subscriptions</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Vast Intel</div>
                                    <p class="card-subtitle text-70">Explore a wide range of skills.</p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt pb-16pt pb-md-0">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">verified_user</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Simiplified Learning</div>
                                    <p class="card-subtitle text-70">Learning made easy at any point in time</p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt pb-16pt pb-md-0">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">update</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Unlimited Access</div>
                                    <p class="card-subtitle text-70">Learn any subject with a simple click.</p>
                                </div>
                            </div>
                        </div>
                        <div class="row align-items-center">
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt mb-md-0 pb-16pt pb-md-0">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">code</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Lesson Source Files</div>
                                    <p class="card-subtitle text-70">Explore a wide range of classes.</p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt mb-md-0 pb-16pt pb-md-0">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">layers</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Electronic Services</div>
                                    <p class="card-subtitle text-70">Access WAEC, NECO and JAMB services on the go.</p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center">
                                <div class="rounded-circle bg-dark w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">accessibility</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt">Premium Support</div>
                                    <p class="card-subtitle text-70">Adequate support made available.</p>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                
                <div class="page-section border-bottom-2">
                    <div class="container page__container">
                        <div class="page-separator">
                            <div class="page-separator__text">E-Services</div>
                        </div>

                        <div class="row card-group-row">

                            <div class="col-md-6 col-lg-4 card-group-row__col">

                                <div class="card card-sm card--elevated p-relative o-hidden overlay overlay--primary-dodger-blue js-overlay card-group-row__card"
                                     data-toggle="popover"
                                     data-trigger="click">

                                    <a href="buy-waec.php"
                                       class="card-img-top js-image"
                                       data-position=""
                                       data-height="140">
                                        <img src="public/images/paths/waecban.png"
                                             alt="waecban">
                                        <span class="overlay__content">
                                            <span class="overlay__action d-flex flex-column text-center">
                                                <i class="material-icons icon-32pt">play_circle_outline</i>
                                                <span class="card-title text-white">Preview</span>
                                            </span>
                                        </span>
                                    </a>

                                    <div class="card-body flex">
                                        <div class="d-flex">
                                            <div class="flex">
                                                <a class="card-title"
                                                   href="buy-waec.php"><h3>Buy WAEC</h3></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <div class="row justify-content-between">
                                            <div class="col-auto d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">access_time</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Get all access cards for WAEC</small></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="popoverContainer d-none">
                                    <div class="media">
                                        <div class="media-left mr-12pt">
                                            <img src="public/images/paths/waeclogo.png"
                                                 width="40"
                                                 height="40"
                                                 alt="Waeclogo"
                                                 class="rounded">
                                        </div>
                                        <div class="media-body">
                                            <div class="card-title mb-0">Buy WAEC</div>
                                        </div>
                                    </div>

                                    <p class="my-16pt text-70">Buy WAEC and get full access to WAEC services.</p>

                                    <div class="mb-16pt">
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>GCE Form</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>Result Checker</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>Verification Pin</small></p>
                                        </div>
                                    </div>

                                    <div class="row align-items-center">
                                        <div class="col-auto">
                                            <div class="d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">assessment</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Secured Transaction</small></p>
                                            </div>
                                        </div>
                                        <div class="col text-right">
                                            <a href="buy-waec.php"
                                               class="btn btn-primary">Buy Now</a>
                                        </div>
                                    </div>

                                </div>

                            </div>

                            <div class="col-md-6 col-lg-4 card-group-row__col">

                                <div class="card card-sm card--elevated p-relative o-hidden overlay overlay--primary-dodger-blue js-overlay card-group-row__card"
                                     data-toggle="popover"
                                     data-trigger="click">

                                    <a href="buy-neco.php"
                                       class="card-img-top js-image"
                                       data-position=""
                                       data-height="140">
                                        <img src="public/images/paths/necoban.png"
                                             alt="necoban">
                                        <span class="overlay__content">
                                            <span class="overlay__action d-flex flex-column text-center">
                                                <i class="material-icons icon-32pt">play_circle_outline</i>
                                                <span class="card-title text-white">Preview</span>
                                            </span>
                                        </span>
                                    </a>

                                    <div class="card-body flex">
                                        <div class="d-flex">
                                            <div class="flex">
                                                <a class="card-title"
                                                   href="buy-neco.php"><h3>Buy Neco</h3></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <div class="row justify-content-between">
                                            <div class="col-auto d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">access_time</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Get all access cards for NECO</small></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="popoverContainer d-none">
                                    <div class="media">
                                        <div class="media-left mr-12pt">
                                            <img src="public/images/paths/necologo.png"
                                                 width="40"
                                                 height="40"
                                                 alt="Necologo"
                                                 class="rounded">
                                        </div>
                                        <div class="media-body">
                                            <div class="card-title mb-0">Buy NECO</div>
                                        </div>
                                    </div>

                                    <p class="my-16pt text-70">Buy NECO and get full access to NECO services.</p>

                                    <div class="mb-16pt">
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>GCE Form</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>Result Checker</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>National Common Entrance</small></p>
                                        </div>
                                    </div>

                                    <div class="row align-items-center">
                                        <div class="col-auto">
                                            <div class="d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">assessment</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Secured Transaction</small></p>
                                            </div>
                                        </div>
                                        <div class="col text-right">
                                            <a href="buy-neco.php"
                                               class="btn btn-primary">Buy Now</a>
                                        </div>
                                    </div>

                                </div>

                            </div>

                            <div class="col-md-6 col-lg-4 card-group-row__col">

                                <div class="card card-sm card--elevated p-relative o-hidden overlay overlay--primary-dodger-blue js-overlay card-group-row__card"
                                     data-toggle="popover"
                                     data-trigger="click">

                                    <a href="buy-jamb.php"
                                       class="card-img-top js-image"
                                       data-position=""
                                       data-height="140">
                                        <img src="public/images/paths/jambban.png"
                                             alt="jambban">
                                        <span class="overlay__content">
                                            <span class="overlay__action d-flex flex-column text-center">
                                                <i class="material-icons icon-32pt">play_circle_outline</i>
                                                <span class="card-title text-white">Preview</span>
                                            </span>
                                        </span>
                                    </a>

                                    <div class="card-body flex">
                                        <div class="d-flex">
                                            <div class="flex">
                                                <a class="card-title"
                                                   href="buy-jamb.php"><h3>Buy JAMB</h3></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <div class="row justify-content-between">
                                            <div class="col-auto d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">access_time</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Get all access cards for JAMB</small></p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="popoverContainer d-none">
                                    <div class="media">
                                        <div class="media-left mr-12pt">
                                            <img src="public/images/paths/jamblogo.png"
                                                 width="40"
                                                 height="40"
                                                 alt=" Jamblogo"
                                                 class="rounded">
                                        </div>
                                        <div class="media-body">
                                            <div class="card-title mb-0">Buy JAMB</div>
                                        </div>
                                    </div>

                                    <p class="my-16pt text-70">Buy JAMB and get full access to JAMB services.</p>

                                    <div class="mb-16pt">
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>UTME form</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>Direct Entry form</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>Change of Course/Institution</small></p>
                                        </div>
                                        <div class="d-flex align-items-center">
                                            <span class="material-icons icon-16pt text-50 mr-8pt">check</span>
                                            <p class="flex text-50 lh-1 mb-0"><small>e-Facility card</small></p>
                                        </div>
                                    </div>

                                    <div class="row align-items-center">
                                        <div class="col-auto">
                                            <div class="d-flex align-items-center">
                                                <span class="material-icons icon-16pt text-50 mr-4pt">assessment</span>
                                                <p class="flex text-50 lh-1 mb-0"><small>Secured Transaction</small></p>
                                            </div>
                                        </div>
                                        <div class="col text-right">
                                            <a href="buy-jamb.php"
                                               class="btn btn-primary">Buy Now</a>
                                        </div>
                                    </div>

                                </div>

                            </div>

                        </div>
                    </div>
                </div>

                <div class="page-section bg-alt">
                    <div class="container page__container">

                        <div class="page-separator">
                            <div class="page-separator__text">Feedbacks</div>
                        </div>

                        <div class="row">

                            <div class="col-sm-6 col-md-4">

                                <div class="card card-feedback card-body">
                                    <blockquote class="blockquote mb-0">
                                        <p class="text-70 small mb-0">A wonderful platform to use.</p>
                                    </blockquote>
                                </div>
                                <div class="media ml-12pt">
                                    <div class="media-left mr-12pt">
                                        <a href="#"
                                           class="avatar avatar-sm">
                                            <!-- <img src="public/images/people/110/guy-.jpg" width="40" alt="avatar" class="rounded-circle"> -->
                                            <span class="avatar-title rounded-circle">DS</span>
                                        </a>
                                    </div>
                                    <div class="media-body media-middle">
                                        <a href="#"
                                           class="card-title">David Smart</a>
                                        <div class="rating mt-4pt">
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star_border</span></span>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-sm-6 col-md-4">

                                <div class="card card-feedback card-body">
                                    <blockquote class="blockquote mb-0">
                                        <p class="text-70 small mb-0">Very glad to have added SmartSchool to our educational system.</p>
                                    </blockquote>
                                </div>
                                <div class="media ml-12pt">
                                    <div class="media-left mr-12pt">
                                        <a href="#"
                                           class="avatar avatar-sm">
                                            <!-- <img src="public/images/people/110/guy-.jpg" width="40" alt="avatar" class="rounded-circle"> -->
                                            <span class="avatar-title rounded-circle">JO</span>
                                        </a>
                                    </div>
                                    <div class="media-body media-middle">
                                        <a href="#"
                                           class="card-title">James Ojo</a>
                                        <div class="rating mt-4pt">
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="col-sm-6 col-md-4">

                                <div class="card card-feedback card-body">
                                    <blockquote class="blockquote mb-0">
                                        <p class="text-70 small mb-0">An essential tool to aid learning.</p>
                                    </blockquote>
                                </div>
                                <div class="media ml-12pt">
                                    <div class="media-left mr-12pt">
                                        <a href="#"
                                           class="avatar avatar-sm">
                                            <!-- <img src="public/images/people/110/guy-.jpg" width="40" alt="avatar" class="rounded-circle"> -->
                                            <span class="avatar-title rounded-circle">TM</span>
                                        </a>
                                    </div>
                                    <div class="media-body media-middle">
                                        <a href="#"
                                           class="card-title">Tunde Moses</a>
                                        <div class="rating mt-4pt">
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star</span></span>
                                            <span class="rating__item"><span class="material-icons">star_border</span></span>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
                    </div>
                </div>

            </div>
            <!-- // END Header Layout Content -->
            
            <?php 
            include ("include/footer.php");
            
            ?>

            
        </div>
        <!-- // END Header Layout -->
        
        <?php
        include ("include/sidebar-main.php");
        
        ?>

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Touchspin -->
        <script src="public/vendor/jquery.bootstrap-touchspin.js"></script>
        <script src="public/js/touchspin.js"></script>

        <!-- jQuery Mask Plugin -->
        <script src="public/vendor/jquery.mask.min.js"></script>

        <!-- Select2 -->
        <script src="public/vendor/select2/select2.min.js"></script>
        <script src="public/js/select2.js"></script>

    </body>

</html>