<?php
session_start();
require '../config.php';

//reverse page url to get $school_name
    //this allows entering school page by typing the url directly.
$pageurl = $_SERVER['REQUEST_URI'];
$explode = explode('/',$pageurl);
$pageurl = $explode[1];
//replace hyphen with space
$school_name = str_replace("-"," ",$pageurl);

// Define variables and initialize with empty values
$reg_no = $password = "";
$reg_no_err = $password_err = "";
 
// Processing form data when form is submitted
if($_SERVER["REQUEST_METHOD"] == "POST"){
    // Check if reg is empty
    if(empty(trim($_POST['reg_no']))){
        $reg_no_err = "Please enter your teacher id.";
    } else{
        $reg_no = trim($_POST['reg_no']);
    }
    
    // Check if password is empty
    if(empty(trim($_POST["password"]))){
        $password_err = "Please enter your password.";
    } else{
        $password = trim($_POST['password']);
    }
    
    //get url
    //overall goal get school folder from url to redirect after login
    $url = explode("/",$_SERVER['REQUEST_URI']);
    $name = $url[1];
    
    
    //check if reg_no is present in database
    $stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `school_name` = ?");
    $stmt->BIND_PARAM("s",$school_name);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $ids[] = $row['teacher_id']; 
    }
    if (in_array($reg_no,$ids)){
          //id found  
        }else{
            $reg_no_err = "Teacher ID not found. Please contact your school admin";
        }
    
    
    // Validate credentials
    if(empty($reg_no_err) && empty($password_err)){
        // Prepare a select statement
        $sql = "SELECT id, firstname, lastname, school_id, teacher_id, password FROM teachers WHERE teacher_id = ?";
        
        if($stmt = mysqli_prepare($conn, $sql)){
            // Bind variables to the prepared statement as parameters
            mysqli_stmt_bind_param($stmt, "s", $param_reg_no);
            
            // Set parameters
            $param_reg_no = $reg_no;
            
            // Attempt to execute the prepared statement
            if(mysqli_stmt_execute($stmt)){
                // Store result
                mysqli_stmt_store_result($stmt);
                
                // Check if reg no/teacher id exists, if yes then verify password
                if(mysqli_stmt_num_rows($stmt) == 1){                    
                    // Bind result variables
                    mysqli_stmt_bind_result($stmt, $id, $firstname, $lastname, $school_id, $teacher_id, $hashed_password);
                    if(mysqli_stmt_fetch($stmt)){
                        if(password_verify($password, $hashed_password)){
                            // Password is correct, so start a new session
                            session_start();
                            
                            // Store data in session variables
                            $_SESSION["teacher_in"] = true;
                            $_SESSION["teacher_id"] = $teacher_id;
                            // Redirect user to calling page
                            header("location: https://mysmartschool.site/$name/teacher");
                            
                            
                        } else{
                            // Display an error message if password is not valid
                            $password_err = "The password you entered was not valid.";
                        }
                    }
                } else{
                    // Display an error message if email doesn't exist
                    $reg_no_err = "No account found with that email.";
                }
            } else{
                echo "Oops! Something went wrong. Please try again later.";
            }

            // Close statement
            mysqli_stmt_close($stmt);
        }
    }
    
    // Close connection
    mysqli_close($conn);
}

?>


<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Login</title>


        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>
    <style>
        .field-icon {
        float: right;
        margin-right: 8px;
        margin-top: -23px;
        position: relative;
        z-index: 2;
        cursor:pointer;
        }
        
        .container{
        padding-top:50px;
        margin: auto;
        }
    </style>

    <body class="layout-default layout-login-centered-boxed">

        <div class="layout-login-centered-boxed__form card">
            <div class="d-flex flex-column justify-content-center align-items-center mt-2 mb-5 navbar-light">
                <a href="../index.php"
                   class="navbar-brand flex-column mb-2 align-items-center mr-0"
                   style="min-width: 0">

                    <span class="avatar avatar-sm navbar-brand-icon mr-0">

                        <span class="avatar-title rounded bg-primary"><img src="../../public/images/illustration/student/128/white.svg"
                                 alt="logo"
                                 class="img-fluid" /></span>

                    </span>

                    SmartSchool
                    <div class="alert bg-primary text-white small"><?php echo ucwords($school_name); ?></div>
                </a>
                <p class="m-0">You are welcome to the <strong>Teacher's</strong> portal! </p>
            </div>

            <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" Method="POST" >
                <div class="form-group">
                    <label class="text-label"
                           for="email_2">Teacher Id</label>
                    <div class="input-group input-group-merge">
                        <input name="reg_no"
                               id="email_2"
                               type="text"
                               required=""
                               class="form-control form-control-prepended"
                               placeholder="S123456/T/1234">
                        <div class="input-group-prepend">
                            <div class="input-group-text">
                                <span class="fa fa-user-shield"></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="text-label"
                           for="password-field">Password:</label>
                    <div class="input-group input-group-merge">
                        <input id="password-field"
                               name="password"
                               type="password"
                               required=""
                               class="form-control form-control-prepended"
                               placeholder="Enter your password">
                        <div class="input-group-prepend">
                            <div class="input-group-text">
                                <span class="fa fa-key"></span>
                            </div>
                        </div>
                    </div><span toggle="#password-field" class="fa fa-sm fa-eye field-icon toggle-password"></span>
                </div>
                <div class="form-group">
                    <button class="btn btn-block btn-primary"
                            type="submit">Login</button>
                </div>
            </form>
            <?php if($password_err){echo "<div class='alert alert-danger'>$password_err</div>"; } ?>
            <?php if($reg_no_err){echo "<div class='alert alert-danger'>$reg_no_err</div>"; } ?>
            <div class="form-group text-center">
                    <a href="">Forgot password?</a> <br>
                    Not a Teacher? <a class="text-body text-underline" href="student-login.php">Sign in here!</a>
                    <div class="m-3"><a href="https://mysmartschool.site/0/super/sauth/" class="btn btn-sm alert-soft-secondary" target="_blank">School Admin</a></div>
                </div>
                
                
        </div>

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>
        <script>
            $(".toggle-password").click(function() {
               $(this).toggleClass("fa-eye fa-eye-slash");
               var input = $($(this).attr("toggle"));
               if (input.attr("type") == "password") {
                 input.attr("type", "text");
               } else {
                 input.attr("type", "password");
               }
            });
        </script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>

        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

    </body>

</html>