<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$manage_subject_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id=$row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_from_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_from_url)){
    header("location: ../login/logout.php");
}

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);

//get filename,class and subject from url
$filename = $_GET['filename'];
$this_class = strtolower($_GET['class']);
$this_subject = strtolower($_GET['subject']);
$class_url = str_replace(" ","-",$this_class)."-".str_replace(" ","-",$this_subject);

//build video url
    //get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$vurl = "https://mysmartschool.site/$school_name_url/subject/$class_url/$filename";
$vurl1 = "../subject/$class_url/$filename";

//select file title with $filename
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `vfile_name` = ?");
$stmt->BIND_PARAM("s",$filename);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $topic = $row['topic'];
    $description = $row['description'];
    $discussion_id = $row['discussion_id'];
}


?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - Delete Class Video</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active"><a href="index.php">Manage Subjects</a></li>
                                    <li class="breadcrumb-item active"><a href="class.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>">class Videos</a></li>
                                    <li class="breadcrumb-item active">delete Video</li>
                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <form method="post" action="" id="form1"></form>
                
                <div class="page-section">
                    <div class="container page__container">
                        <div class="page-separator">
                            <div class="page-separator__text">Delete Selected Class Video</div>
                        </div>
                        <div class="row mb-32pt">
                            <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>Topic</a>
                                        </th>
                                        <th>
                                            <a>Description</a>
                                        </th>
                                        <th>
                                            <a>Filename</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
//echo $filename;
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `vfile_name`=?");
$stmt->BIND_PARAM("s", $filename);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
?>
                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo "1"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['topic']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo substr($row['description'], 0, 50)."..."; ?></small>
                                        </td>
                                        <td>
                                            <small class="text-50"><?php echo $row['vfile_name']; ?></small>
                                        </td>
                                        <td>
                                            <input name="submit" class="btn btn-danger btn-sm" type="submit" value="Delete" form="form1" onclick="return confirm('Are you sure you want to delete this video?')">
                                        </td>
<?php
}
?>
                                        
                                    </tr>
                                </tbody>

                            </table>
<?php

if (isset($_POST['submit'])){
    if(is_file($vurl1)){
        if (unlink($vurl1)){
            $stmt = $conn->PREPARE("DELETE FROM `subjects` WHERE `vfile_name` = ?");
            $stmt->BIND_PARAM("s", $filename);
            $stmt->EXECUTE();
            $message = "video deleted successfully, returning to video lists...";
            $return_url = "class.php?class=$this_class&subject=$this_subject";
            $return = "<meta http-equiv='refresh' content='3;url=$return_url'>"; 
            //return to video lists
            
        }else{
            $message = "Something went wrong with the database, video not deleted.";
        }
    }else{
        $message = "Something went wrong, video not deleted.";
    }
   
 
 
// echo confirmation message
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message; echo $return;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>"; 
   
}

?>

                        </div>
                            
                        </div>
                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    </body>

</html>